Bug 228752 - sqrt is highlighted as sqr t
Summary: sqrt is highlighted as sqr t
Status: RESOLVED FIXED
Alias: None
Product: kmplot
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR minor (vote)
Target Milestone: ---
Assignee: Klaus-Dieter M
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-27 14:23 UTC by Christoph Feck
Modified: 2011-10-12 22:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2010-02-27 14:23:27 UTC
Version:            (using Devel)
Installed from:    Compiled sources

When you type sqrt in the function editor, it is highlighted as function sqr and variable t.
Comment 1 Christoph Feck 2011-10-12 22:56:14 UTC
Git commit 10174f8bcf30ccc3071e175bd9c26d91bf595b38 by Christoph Feck.
Committed on 13/10/2011 at 00:51.
Pushed by cfeck into branch 'master'.

Fix function table sorting

* fix ordering of trig functions (longest names first), so that
  "cos" does not shadow "cosec" etc. functions
* only sort function names for display, otherwise breaks highlighter

BUG: 283864
BUG: 228752

M  +3    -1    kmplot/equationeditorwidget.cpp
M  +8    -9    kmplot/parser.cpp

http://commits.kde.org/kmplot/10174f8bcf30ccc3071e175bd9c26d91bf595b38